Please add spellcheckers for Turkish / Turkic languages (*zemberek)

Bug #537821 reported by Arne Goetje on 2010-03-12
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Wishlist
Unassigned
language-selector (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: language-selector

For writing assistence for Turkish and other Turkic languages (e.g. Turkmen), the following packages should be added to data/pkg-depends:

 * libzemberek-java -> universe, depends on default-jre|java-gcj-compat|java6-runtime|java5-runtime

 * libzemberek-tr-java and libzemberek-tk-java -> universe, depends on libzemberek-java

 * mozzemberek -> universe, depends on firefox or thunderbird and zemberek-server

 * openoffice.org-zemberek -> universe, depends on openoffice.org-java-common and libzemberek-tr-java

 * zemberek-server -> universe, depends on libzemberek-java, libzemberek-tr-java and a lot more java packages

As all of those are in universe, they need Main Inclusion Requests filed.

Arne Goetje (arnegoetje) on 2010-03-12
Changed in language-selector (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Wishlist
David Planella (dpm) wrote :

(Subscribing the Ubuntu Turkish translators so they are aware and can comment if necessary)

Kyle Nitzsche (knitzsche) wrote :

just noting that there is currently no language-support-tr package, in contradiction to the general pattern.

 Such "support" packages usually pull in dictionaries, I believe.

Kyle Nitzsche wrote:
> just noting that there is currently no language-support-tr package, in
> contradiction to the general pattern.
>
> Such "support" packages usually pull in dictionaries, I believe.
>

Not in this case. The packages mentioned are only useful if Firefox or
Thunderbird (mozzemberek) or openoffice.org are already installed on the
system. Therefor these packages would be handled dynamically in
language-selector.

If there would be hunspell/myspell packages, those would get installed
with language-support packages, as other applications can also benefit
from them. But this is not the case here. Therefor there are no
language-support packages for 'tr' available.

Changed in language-selector (Ubuntu):
status: Triaged → Invalid
status: Invalid → New

hocam ben daha acemiyim ubuntuda... sen bana çevrilecek kısımları belirleyip yollasan çevirmesi kolay.. bu satırlrın hangilerini çevireceğim şimdi ben :P teşekkürler...

> Date: Sat, 13 Mar 2010 21:00:30 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 537821] Re: Please add spellcheckers for Turkish / Turkic languages (*zemberek)
>
> ** Changed in: language-selector (Ubuntu)
> Status: Triaged => Invalid
>
> ** Changed in: language-selector (Ubuntu)
> Status: Invalid => New
>
> --
> Please add spellcheckers for Turkish / Turkic languages (*zemberek)
> https://bugs.launchpad.net/bugs/537821
> You received this bug notification because you are a member of Ubuntu'yu
> Türkçe'ye Çevirenler Takımı, which is a direct subscriber.
>
> Status in Ubuntu Translations (internationalization and localization): Triaged
> Status in “language-selector” package in Ubuntu: New
>
> Bug description:
> Binary package hint: language-selector
>
> For writing assistence for Turkish and other Turkic languages (e.g. Turkmen), the following packages should be added to data/pkg-depends:
>
> * libzemberek-java -> universe, depends on default-jre|java-gcj-compat|java6-runtime|java5-runtime
>
> * libzemberek-tr-java and libzemberek-tk-java -> universe, depends on libzemberek-java
>
> * mozzemberek -> universe, depends on firefox or thunderbird and zemberek-server
>
> * openoffice.org-zemberek -> universe, depends on openoffice.org-java-common and libzemberek-tr-java
>
> * zemberek-server -> universe, depends on libzemberek-java, libzemberek-tr-java and a lot more java packages
>
> As all of those are in universe, they need Main Inclusion Requests filed.
>
>

_________________________________________________________________
Windows Live: Arkadaşlarınız size e-posta gönderdiklerinde Flickr, Twitter ve Digg'deki hareketlerinizi görürler.
http://www.microsoft.com/windows/windowslive/see-it-in-action/social-network-basics.aspx?ocid=PID23461::T:WLMTAGL:ON:WL:tr-tr:SI_SB_3:092010

Download full text (3.4 KiB)

Hepsini çevir sen :)

On Sun, Mar 14, 2010 at 12:02 AM, sedaturca <email address hidden> wrote:

>
> hocam ben daha acemiyim ubuntuda... sen bana çevrilecek kısımları
> belirleyip yollasan çevirmesi kolay.. bu satırlrın hangilerini çevireceğim
> şimdi ben :P teşekkürler...
>
> > Date: Sat, 13 Mar 2010 21:00:30 +0000
> > From: <email address hidden>
> > To: <email address hidden>
> > Subject: [Bug 537821] Re: Please add spellcheckers for Turkish / Turkic
> languages (*zemberek)
> >
> > ** Changed in: language-selector (Ubuntu)
> > Status: Triaged => Invalid
> >
> > ** Changed in: language-selector (Ubuntu)
> > Status: Invalid => New
> >
> > --
> > Please add spellcheckers for Turkish / Turkic languages (*zemberek)
> > https://bugs.launchpad.net/bugs/537821
> > You received this bug notification because you are a member of Ubuntu'yu
> > Türkçe'ye Çevirenler Takımı, which is a direct subscriber.
> >
> > Status in Ubuntu Translations (internationalization and localization):
> Triaged
> > Status in "language-selector" package in Ubuntu: New
> >
> > Bug description:
> > Binary package hint: language-selector
> >
> > For writing assistence for Turkish and other Turkic languages (e.g.
> Turkmen), the following packages should be added to data/pkg-depends:
> >
> > * libzemberek-java -> universe, depends on
> default-jre|java-gcj-compat|java6-runtime|java5-runtime
> >
> > * libzemberek-tr-java and libzemberek-tk-java -> universe, depends on
> libzemberek-java
> >
> > * mozzemberek -> universe, depends on firefox or thunderbird and
> zemberek-server
> >
> > * openoffice.org-zemberek -> universe, depends on
> openoffice.org-java-common and libzemberek-tr-java
> >
> > * zemberek-server -> universe, depends on libzemberek-java,
> libzemberek-tr-java and a lot more java packages
> >
> > As all of those are in universe, they need Main Inclusion Requests filed.
> >
> >
>
> _________________________________________________________________
> Windows Live: Arkadaşlarınız size e-posta gönderdiklerinde Flickr, Twitter
> ve Digg'deki hareketlerinizi görürler.
>
> http://www.microsoft.com/windows/windowslive/see-it-in-action/social-network-basics.aspx?ocid=PID23461::T:WLMTAGL:ON:WL:tr-tr:SI_SB_3:092010
>
> --
> Please add spellcheckers for Turkish / Turkic languages (*zemberek)
> https://bugs.launchpad.net/bugs/537821
> You received this bug notification because you are a member of Ubuntu'yu
> Türkçe'ye Çevirenler Takımı, which is a direct subscriber.
>
> Status in Ubuntu Translations (internationalization and localization):
> Triaged
> Status in "language-selector" package in Ubuntu: New
>
> Bug description:
> Binary package hint: language-selector
>
> For writing assistence for Turkish and other Turkic languages (e.g.
> Turkmen), the following packages should be added to data/pkg-depends:
>
> * libzemberek-java -> universe, depends on
> default-jre|java-gcj-compat|java6-runtime|java5-runtime
>
> * libzemberek-tr-java and libzemberek-tk-java -> universe, depends on
> libzemberek-java
>
> * mozzemberek -> universe, depends on firefox or thunderbird and
> zemberek-server
>
> * openoffice.org-zemberek -> universe, depends on
> openoffice.org-java-common and li...

Read more...

(Subscribed Rail Aliev, since he seems to have built .deb packages for zemberek project, and may be the one that could answer questions -if there will be any- about inclusion of those.)

Rail Aliiev (rail) wrote :

> If there would be hunspell/myspell packages, those would get installed
> with language-support packages, as other applications can also benefit
> from them. But this is not the case here. Therefor there are no
> language-support packages for 'tr' available.

In case of GNOME, enchant supports zemberek-server, so Turkish spell checking works out of the box after zemberek-server installation.

In case of KDE, besides zemberek-server you should install zpspell.

Arne Goetje (arnegoetje) on 2010-03-15
Changed in language-selector (Ubuntu):
status: New → Triaged
sedaturca (sedaturca) wrote :

ya cidden ben hala anlamadım, lütfen biri beni mazur görüp nasıl çeviriye başlaycağım konusunda yardımcı olsun... yardımlarınızı bekliyorum...

Arne Goetje (arnegoetje) wrote :

Thanks for info...
So, we seem to have the following package dependencies:

 * libzemberek-java -> gets pulled by libzemberek-*-java

 * libzemberek-tr-java and libzemberek-tk-java -> install if zemberek-server, mozzemberek or openoffice.org-zemberek is installed

 * mozzemberek -> install if firefox or thunderbird is installed
 * openoffice.org-zemberek -> install if openoffice.org-common is installed

 * zemberek-server -> install if libenchant1c2a or kdelibs5-data is installed

 * zpspell -> install if kdelibs5-data is installed

For which language codes would you want these packages to be installed? Only tr and tk for the moment?

Please note that all these packages and their dependencies (if in universe) will need a Main Inclusion Request filed. (Please see: https://wiki.ubuntu.com/MainInclusionProcess ).

Would you guys be able to help out with filing those?
Thanks a lot! :)

ottomanlast (ottomanthelast) wrote :

TR: sedaturca, "Rail Aliev"e mail atabilirsin neyi, nasıl yapacağınla
ilgili.
EN: sedaturca, you can contact Rail Aliev for further questions.

On Mon, Mar 15, 2010 at 10:39 AM, Arne Goetje <email address hidden>wrote:

> Thanks for info...
> So, we seem to have the following package dependencies:
>
> * libzemberek-java -> gets pulled by libzemberek-*-java
>
> * libzemberek-tr-java and libzemberek-tk-java -> install if zemberek-
> server, mozzemberek or openoffice.org-zemberek is installed
>
> * mozzemberek -> install if firefox or thunderbird is installed
> * openoffice.org-zemberek -> install if openoffice.org-common is installed
>
> * zemberek-server -> install if libenchant1c2a or kdelibs5-data is
> installed
>
> * zpspell -> install if kdelibs5-data is installed
>
> For which language codes would you want these packages to be installed?
> Only tr and tk for the moment?
>
> Please note that all these packages and their dependencies (if in
> universe) will need a Main Inclusion Request filed. (Please see:
> https://wiki.ubuntu.com/MainInclusionProcess ).
>
> Would you guys be able to help out with filing those?
> Thanks a lot! :)
>
> --
> Please add spellcheckers for Turkish / Turkic languages (*zemberek)
> https://bugs.launchpad.net/bugs/537821
> You received this bug notification because you are a member of Ubuntu'yu
> Türkçe'ye Çevirenler Takımı, which is a direct subscriber.
>
> Status in Ubuntu Translations (internationalization and localization):
> Triaged
> Status in "language-selector" package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: language-selector
>
> For writing assistence for Turkish and other Turkic languages (e.g.
> Turkmen), the following packages should be added to data/pkg-depends:
>
> * libzemberek-java -> universe, depends on
> default-jre|java-gcj-compat|java6-runtime|java5-runtime
>
> * libzemberek-tr-java and libzemberek-tk-java -> universe, depends on
> libzemberek-java
>
> * mozzemberek -> universe, depends on firefox or thunderbird and
> zemberek-server
>
> * openoffice.org-zemberek -> universe, depends on
> openoffice.org-java-common and libzemberek-tr-java
>
> * zemberek-server -> universe, depends on libzemberek-java,
> libzemberek-tr-java and a lot more java packages
>
> As all of those are in universe, they need Main Inclusion Requests filed.
>
>
>

--
May the forces of evil become confused on the way to your house.

Rail Aliiev (rail) wrote :

> For which language codes would you want these packages to be installed? Only tr and tk for the moment?

tr only, please. tk dictionary is not finished yet.

Changed in ubuntu-translations:
status: Triaged → Incomplete

efuyam, why set this to Incomplete?
Anyway, I'm letting it as-is, since I don't know if the issue is still present. Can someone confirm this?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers